Loading...
Searching...
No Matches
StatAcc.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/BasicMath/Math.h>`
`#include <casacore/casa/Utilities/Fallible.h>`
`#include <casacore/casa/iosfwd.h>`
`#include <casacore/casa/Arrays/ArrayFwd.h>`

Go to the source code of this file.

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

| casacore::StatAcc ()
| A statistics accumulator
| casacore::StatAcc (const StatAcc &)
| casacore::~StatAcc ()
void | casacore::reset ()
| Reset the contents of the bins to zero, but retain the current bin definition.
void | casacore::copy (const StatAcc &)
StatAcc & | casacore::operator= (const StatAcc &)
| Operators for adding and copying accumulators.
StatAcc | casacore::operator+ (const StatAcc &)
StatAcc & | casacore::operator+= (const StatAcc &)
void | casacore::put (const T v)
| Accumulate (put) value(s) into the histogram.
void | casacore::put (const T v, const Float w)
void | casacore::put (const Array< T > &vv)
void | casacore::put (const Array< T > &v, const Array< Float > &w)
void | casacore::put (const Block< T > &vv)
void | casacore::put (const Block< T > &v, const Block< Float > &w)
Double | casacore::getWtot () const
| Get statistics results one at a time.
uInt | casacore::getCount () const
Fallible< Double > | casacore::getMin () const
Fallible< Double > | casacore::getMax () const
Fallible< Double > | casacore::getMean () const
Fallible< Double > | casacore::getRms () const
Fallible< Double > | casacore::getVariance () const
Fallible< Double > | casacore::getRmsAbs () const
void | casacore::printSummaryList (std::ostream &, const String &caption) const
| Print summary of accumulated statistics.
void | casacore::printSummaryLine (std::ostream &, const String &caption) const
void | casacore::printSummaryLineHeader (std::ostream &, const String &caption) const
void | casacore::put1 (const T, const Float)
| Accumulate a single weighted value.

## Variables

Double | casacore::itsWtot
Double | casacore::itsWsum
Double | casacore::itsWssum
Double | casacore::itsMin
Double | casacore::itsMax
uInt | casacore::itsCount